Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
namp "Error compiling our pcap filter: icmp6 not supported"
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Portage & Programming
View previous topic :: View next topic  
Author Message
jlmcp
Tux's lil' helper
Tux's lil' helper


Joined: 27 Apr 2005
Posts: 133

PostPosted: Wed Jul 11, 2012 8:29 am    Post subject: namp "Error compiling our pcap filter: icmp6 not suppor Reply with quote

Just tried to use the newly updated nmap 6.01 and got this error:

Code:
Starting Nmap 6.01 ( http://nmap.org ) at 2012-07-11 01:03 PDT
Initiating Ping Scan at 01:03
Scanning www.somehost.com (10.10.10.10) [4 ports]
Error compiling our pcap filter: icmp6 not supported


Apparently, my updated Gentoo OS doesn't supppot IPv6 (?) so according to this site, I need to somehow have nmap compile without IPv6 support. Is there a flag to do this at emerge time? I have tried something like

> emerge namp USE="-ipv6"

But it fails. Help?
Back to top
View user's profile Send private message
gerard82
Advocate
Advocate


Joined: 04 Jan 2004
Posts: 2229
Location: Netherlands

PostPosted: Wed Jul 11, 2012 1:27 pm    Post subject: Reply with quote

Try
Code:

USE=-ipv6 emerge nmap

Gerard.
_________________
To install Gentoo I use sysrescuecd.Based on Gentoo,has firefox to browse Gentoo docs and mc to browse (and edit) files.
The same disk can be used for 32 and 64 bit installs.
You can follow the Handbook verbatim.
http://www.sysresccd.org/Download
Back to top
View user's profile Send private message
khayyam
Advocate
Advocate


Joined: 07 Jun 2012
Posts: 2248

PostPosted: Wed Jul 11, 2012 3:48 pm    Post subject: Reply with quote

jlmcp ...

nmap-6.01 doesn't have an ipv6 use, it looks like your libpcap is missing ipv6 support.

Code:
% awk '/Installed/' <(eix -I nmap)
     Installed versions:  6.01(09:24:45 21/06/12)(lua ncat nping ssl -gtk -ndiff -nmap-update)
% awk '/Installed/' <(eix -I libpcap)
     Installed versions:  1.1.1-r1(22:47:40 05/07/12)(ipv6 -bluetooth -libnl -static-libs)

HTH & best ...

khay
Back to top
View user's profile Send private message
grimm26
Guru
Guru


Joined: 23 May 2004
Posts: 312
Location: Chicagoland, IL

PostPosted: Wed Jan 09, 2013 10:34 pm    Post subject: Reply with quote

But I don't want ipv6 support. nmap is compiled -ipv6, libpcap is cmpiled -ipv6, so something is amiss.

khayyam wrote:
jlmcp ...

nmap-6.01 doesn't have an ipv6 use, it looks like your libpcap is missing ipv6 support.

Code:
% awk '/Installed/' <(eix -I nmap)
     Installed versions:  6.01(09:24:45 21/06/12)(lua ncat nping ssl -gtk -ndiff -nmap-update)
% awk '/Installed/' <(eix -I libpcap)
     Installed versions:  1.1.1-r1(22:47:40 05/07/12)(ipv6 -bluetooth -libnl -static-libs)

HTH & best ...

khay

_________________
"Blessed is he who finds happiness in his own foolishness, for he will always be happy".
Back to top
View user's profile Send private message
Polynomial-C
Developer
Developer


Joined: 01 Jun 2003
Posts: 1391
Location: germany

PostPosted: Thu Jan 10, 2013 1:26 pm    Post subject: Reply with quote

bug 451162
_________________
The manual said "Requires Windows7 or better" so I installed GNU/Linux...

my portage overlay

Need a stage1 tarball? (Unofficial builds)
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Portage & Programming All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum